# CheckedListBox.CheckedObjectCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Represents the collection of checked items in the [CheckedListBox](/api/v3.0/wisej.web/lists-and-grids/checkedlistbox.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public class CheckedObjectCollection : IList, ICollection, IEnumerable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class CheckedObjectCollection
    Inherits IList
    Implements ICollection, IEnumerable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/uCY6T77rh488FWHzpJ6P)Count

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns the number of selected items.

### ![](/files/uCY6T77rh488FWHzpJ6P)IsReadOnly

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns a value indicating whether this collection can be modified.

### ![](/files/uCY6T77rh488FWHzpJ6P)Item(index)

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Return an item in the checked items collection.

**Throws:**

* [NotSupportedException](https://docs.microsoft.com/en-us/dotnet/api/system.notsupportedexception) The object cannot be set.

## Methods

### ![](/files/uCY6T77rh488FWHzpJ6P)Contains(item)

Determines if the specified item is located within the collection.

| Parameter | Type                                                                | Description                                                  |
| --------- | ------------------------------------------------------------------- | ------------------------------------------------------------ |
| **item**  | [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) | An object representing the item to locate in the collection. |

**Returns:** [Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean). true if the item is located within the collection; otherwise, false.

### ![](/files/uCY6T77rh488FWHzpJ6P)CopyTo(array, index)

Copies the entire collection into an existing array at a specified location within the array.

| Parameter | Type                                                              | Description                                                       |
| --------- | ----------------------------------------------------------------- | ----------------------------------------------------------------- |
| **array** | [Array](https://docs.microsoft.com/en-us/dotnet/api/system.array) | The destination array.                                            |
| **index** | [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32) | The zero-based relative index in *array* at which copying begins. |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentnullexception) *array* is null.
* [RankException](https://docs.microsoft.com/en-us/dotnet/api/system.rankexception) *array* is multidimensional.
* [ArgumentOutOfRangeException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentoutofrangeexception) *index* is less than zero.
* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) The number of elements in the source [Array](https://docs.microsoft.com/en-us/dotnet/api/system.array) is greater than the available space from index to the end of the destination [Array](https://docs.microsoft.com/en-us/dotnet/api/system.array).
* [ArrayTypeMismatchException](https://docs.microsoft.com/en-us/dotnet/api/system.arraytypemismatchexception) The type of the source [Array](https://docs.microsoft.com/en-us/dotnet/api/system.array) cannot be cast automatically to the type of the destination [Array](https://docs.microsoft.com/en-us/dotnet/api/system.array).

### ![](/files/uCY6T77rh488FWHzpJ6P)GetEnumerator()

Returns an enumerator that can be used to iterate through the [CheckedItems](/api/v3.0/wisej.web/lists-and-grids/checkedlistbox.md#checkeditems) collection.

**Returns:** [IEnumerator](https://docs.microsoft.com/en-us/dotnet/api/system.collections.ienumerator). An [IEnumerator](https://docs.microsoft.com/en-us/dotnet/api/system.collections.ienumerator) for navigating through the list.

### ![](/files/uCY6T77rh488FWHzpJ6P)IndexOf(item)

Returns an index into the collection of checked items.

| Parameter | Type                                                                | Description                                                                                           |
| --------- | ------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| **item**  | [Object](https://docs.microsoft.com/en-us/dotnet/api/system.object) | The object whose index you want to retrieve. This object must belong to the checked items collection. |

**Returns:** [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32). The index of the object in the checked item collection or -1 if the object is not in the collection.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/lists-and-grids/checkedlistbox/wisej.web.checkedlistbox.checkedobjectcollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
